
##
# getCondHData() - extract condition set condition n from
# horizontally stacked data frame hTbl where hTbl was read
# with readHSfile().
# Args: hTbl is the horizontally stacked multi-class table
#       n is the condition to extract from hTbl and stack
# Value: data frame with (cData)
##
getCondHData<- function(hTbl, n)
{ # getCondHData
  attach(hTbl)
  hT <- allCondNames[2:length(allCondNames)]==condNames[n]
  cData <- hData[, hT]
  detach()
  return(cData=cData)
} # end of getCondHData
